eoReduce(3)

NAME
eoReduce - eoReduce: .reduce the new generation to the specified size At the moment, limited to truncation - with 2 different methods, one that sorts the whole population, and one that repeatidely kills the worst.

SYNOPSIS

#include <eoReduce.h>

Inherits eoBF< eoPop< EOT > &, unsigned, void >.

Inherited by eoDetTournamentTruncate< EOT >, eoEPReduce< EOT >, eoLinearTruncate< EOT >, eoRandomReduce< EOT >, eoStochTournamentTruncate< EOT >, eoStochTournamentTruncateSplit< EOT >, and eoTruncate< EOT >.

Detailed Description

  template<class EOT> class eoReduce< EOT >
eoReduce: .reduce the new generation to the specified size At the moment, limited to truncation - with 2 different methods, one that sorts the whole population, and one that repeatidely kills the worst. Ideally, we should be able to choose at run-time!!!

Definition at line 45 of file eoReduce.h.

Author

Generated automatically by Doxygen for EO from the source code.